apiVersion: v1
kind: ConfigMap
metadata:
  name: grafana-datasources
  namespace: grafana
data:
  datasources.yaml: |
    apiVersion: 1
    datasources:
      - name: Prometheus
        type: prometheus
        access: proxy
        url: http://prometheus-k8s.monitoring:9090
        isDefault: true
        editable: false
      - name: Elasticsearch
        type: elasticsearch
        access: proxy
        url: https://elasticsearch-ha-es-http.elastic-system.svc:9200
        jsonData:
          esVersion: 8.17.4
          timeField: "@timestamp"
        editable: false
